Skip to content
Start here

Get a zone snippet content

snippets.content.get(strsnippet_name, ContentGetParams**kwargs) -> BinaryResponseContent
GET/zones/{zone_id}/snippets/{snippet_name}/content

Fetches the content of a snippet belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets WriteSnippets Read
ParametersExpand Collapse
zone_id: str

Use this field to specify the unique ID of the zone.

snippet_name: str

Identify the snippet.

ReturnsExpand Collapse
BinaryResponseContent

Get a zone snippet content

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
content = client.snippets.content.get(
    snippet_name="my_snippet",
    zone_id="9f1839b6152d298aca64c4e906b6d074",
)
print(content)
data = content.read()
print(data)
Returns Examples